Set the object requirement for a custom action definition.
curl --request POST \
--url https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/requires-object \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requiresObject": true
}
'import requests
url = "https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/requires-object"
payload = { "requiresObject": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({requiresObject: true})
};
fetch('https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/requires-object', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Definitions
Set the object requirement for a custom action definition.
Set whether a custom action definition requires an object.
POST
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
/
requires-object
Set the object requirement for a custom action definition.
Supported products
Supported products
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the app associated with the custom action definition.
The ID of the custom action definition.
Body
application/json
Indicates whether a custom action definition requires an associated object.
Response
Last modified on March 25, 2026
Was this page helpful?
⌘I